Name:           python-dcor-shared
Version:        0.15.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Functionalities shared by the DCOR CKAN extensions

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/DCOR-dev/dcor_shared
Source:         %{pypi_source dcor_shared}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dcor-shared' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dcor-shared
Summary:        %{summary}

%description -n python3-dcor-shared %_description


%prep
%autosetup -p1 -n dcor_shared-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dcor-shared -f %{pyproject_files}


%changelog
%autochangelog